* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

div {
    margin: 80px auto;
    width: 50%;
    border: 2px inset rgb(238, 39, 39);
    text-align: center;
    padding: 50px;
}

input {
    border: 3px solid rgb(105, 104, 104);
    width: 150px;
    height: 50px;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    text-align: center;
}

button {
    border: 0.5px solid rgb(117, 117, 117);
    width: 60px;
    height: 40px;
    margin: 0 20px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    transition: all, 0.5s;
    -webkit-transition: all, 0.5s;
    -moz-transition: all, 0.5s;
    -ms-transition: all, 0.5s;
    -o-transition: all, 0.5s;
    box-shadow: 0 5px rgba(20, 20, 20, 0.5);
    cursor: pointer;
}

button:hover {
    background-color: greenyellow;
}

button:active {
    position: relative;
    top: 5px;
    box-shadow: none;
}

@media screen and (max-width: 600px) {
    div {
        width: 100%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }

    button {
        border-radius: none;
        -webkit-border-radius: none;
        -moz-border-radius: none;
        -ms-border-radius: none;
        -o-border-radius: none;
        padding: 0 7px;
    }

    input {
        width: 50px;
    }
}

@media screen and (min-width: 601px) and (max-width: 768px) {
    div {
        width: 100%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
}

@media screen and (min-width: 769px) and (max-width: 1100px) {
    div {
        width: 70%;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
}
